<?php

namespace Intraxia\Jaxion\Test\Axolotl\Collection;

use Intraxia\Jaxion\Axolotl\Collection;

class SortTest extends \PHPUnit_Framework_TestCase {
	public function test_sorts_with_callback() {
		$col = new Collection( 'int', array( 3, 1, 4, 2 ) );

		$comparator = function ( $a, $b ) {
			if ( $a == $b ) {
				return 0;
			}

			return ( $a < $b ) ? - 1 : 1;
		};

		$sorted = $col->sort( $comparator );

		$this->assertEquals( 1, $sorted->at( 0 ) );
		$this->assertEquals( 2, $sorted->at( 1 ) );
		$this->assertEquals( 3, $sorted->at( 2 ) );
		$this->assertEquals( 4, $sorted->at( 3 ) );

		//collection is unchanged
		$this->assertEquals( array( 3, 1, 4, 2 ), $col->to_array() );
	}
}
